/* ----------------------------------------------------------------------------
 *
 * Raima Database Manager
 *
 * Copyright (c) 2012 Raima Inc.,  All rights reserved.
 *
 * Use of this software, whether in source code format, or in executable,
 * binary object code form, is governed by the Raima LICENSE which
 * is fully described in the LICENSE.TXT file, included within this
 * distribution of files.
 *
 * ----------------------------------------------------------------------------
 */

/* EXAMPLE - Database for obj11 example */
/* This is the DDL (Database Definition Language) for a sample database
 * that could store sales information.  There is only one record type defined
 * called office, it has a single indexed field called name.
 *
 * This schema file should be processed using the ddlp utility using the
 * -c option to create an embedded dbd file.  The -c option will generate
 * a c header file (obj11_db_dbd.h) and a c source file (obj11_db_dbd.c)
 * which can be compiled into the application and used with the Open Method
 * to create the database if it does not already exist.
 * 
 * The following command was used to generate the database structure used in
 * this example:
 *
 * ddlp -c -cpp -d obj11_db.ddl
 */

database obj11_db 
{
    data file "obj11_db.d01" contains office;
    key  file "obj11_db.k01" contains name;

    record office 
    {
        key char    name[32];
    }
}
